export declare type Literal = {
    [key: string]: any;
};
/**
 *
 */
export default class HttpError extends Error {
    static CODE: number;
    statusCode: number;
    name: string;
    message: string;
    data?: Literal;
    constructor(statusCode: number, name: string, message: string, data?: Literal);
}
/**
 *
 */
export declare class GenericHttpError extends HttpError {
}
//# sourceMappingURL=HttpError.d.ts.map